yaoyong1100
2009-07-13 16:27 阅读 272
已采纳

我怎么知道要装哪些gem插件?

我运行项目时::
=> Booting WEBrick...

C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- systemu (MissingSourceFile)

    from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:153:in `require'

    from C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:521:in `new_constants_in'

    from C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:153:in `require'

    from E:/rubyprojects/spinning/vendor/plugins/paperclip/lib/paperclip.rb:35

    from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:153:in `require'

     ... 28 levels...

    from C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/commands/server.rb:49

    from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from script/server:3

[b]问题补充:[/b]
哈哈 搞错了
Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require' 我怎么知道这一行他需要一个什么插件??

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

2条回答 默认 最新

  • 已采纳
    xenocide xenocide 2009-07-13 20:58

    楼上的,你没用过 ruby 别误导别人 …… 更何况 original 不是 optional。

    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- [color=red]systemu/color

    gem install systemu 即可

    点赞 评论 复制链接分享
  • wanghaolovezlq wanghaolovezlq 2009-07-13 16:32

    每一行中都有写了
    gem_original_require' 可选
    require' 必须

    点赞 评论 复制链接分享

相关推荐